# salt.serializers.configparser

Added in version 2016.3.0.

Implements a configparser serializer.

salt.serializers.configparser.deserialize(stream_or_string, **options)

  Deserialize any string or stream like object into a Python data structure.

  Parameters:

    - stream_or_string -- stream or string to deserialize.

    - options -- options given to lower configparser module.

salt.serializers.configparser.serialize(obj, **options)

  Serialize Python data to a configparser formatted string or file.

  Parameters:

    - obj -- the data structure to serialize

    - options -- options given to lower configparser module.